Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
reports
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "parameters": {},
      "content": {},
      "errorMessage": "<string>",
      "generatedBy": "<string>",
      "periodStart": "<string>",
      "periodEnd": "<string>",
      "completedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

type
enum<string>

Filter by report type

Available options:
SOC2_SUMMARY,
ACTIVITY_REPORT,
ACCESS_REVIEW,
AUDIT_EXPORT,
GDPR_DSAR
status
enum<string>

Filter by status

Available options:
PENDING,
GENERATING,
COMPLETED,
FAILED
cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of reports to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of compliance reports

items
object[]
required

List of compliance reports

nextCursor
string | null
required

Cursor for the next page, null if no more results